
void _efl_ui_frame_collapse_set(Eo *obj, Efl_Ui_Frame_Data *pd, Eina_Bool collapse);


static Eina_Error
__eolian_efl_ui_frame_collapse_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_frame_collapse_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_frame_collapse_set, EFL_FUNC_CALL(collapse), Eina_Bool collapse);

Eina_Bool _efl_ui_frame_collapse_get(const Eo *obj, Efl_Ui_Frame_Data *pd);


static Eina_Value
__eolian_efl_ui_frame_collapse_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_frame_collapse_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_frame_collapse_get, Eina_Bool, 0);

void _efl_ui_frame_autocollapse_set(Eo *obj, Efl_Ui_Frame_Data *pd, Eina_Bool autocollapse);


static Eina_Error
__eolian_efl_ui_frame_autocollapse_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_frame_autocollapse_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_frame_autocollapse_set, EFL_FUNC_CALL(autocollapse), Eina_Bool autocollapse);

Eina_Bool _efl_ui_frame_autocollapse_get(const Eo *obj, Efl_Ui_Frame_Data *pd);


static Eina_Value
__eolian_efl_ui_frame_autocollapse_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_frame_autocollapse_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_frame_autocollapse_get, Eina_Bool, 0);

void _efl_ui_frame_collapse_go(Eo *obj, Efl_Ui_Frame_Data *pd, Eina_Bool collapse);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_frame_collapse_go, EFL_FUNC_CALL(collapse), Eina_Bool collapse);

Efl_Object *_efl_ui_frame_efl_object_constructor(Eo *obj, Efl_Ui_Frame_Data *pd);


void _efl_ui_frame_efl_canvas_group_group_calculate(Eo *obj, Efl_Ui_Frame_Data *pd);


void _efl_ui_frame_efl_text_text_set(Eo *obj, Efl_Ui_Frame_Data *pd, const char *text);


const char *_efl_ui_frame_efl_text_text_get(const Eo *obj, Efl_Ui_Frame_Data *pd);


void _efl_ui_frame_efl_text_markup_markup_set(Eo *obj, Efl_Ui_Frame_Data *pd, const char *markup);


const char *_efl_ui_frame_efl_text_markup_markup_get(const Eo *obj, Efl_Ui_Frame_Data *pd);


void _efl_ui_frame_efl_ui_l10n_l10n_text_set(Eo *obj, Efl_Ui_Frame_Data *pd, const char *label, const char *domain);


const char *_efl_ui_frame_efl_ui_l10n_l10n_text_get(const Eo *obj, Efl_Ui_Frame_Data *pd, const char **domain);


Eina_Bool _efl_ui_frame_efl_content_content_set(Eo *obj, Efl_Ui_Frame_Data *pd, Efl_Gfx_Entity *content);


Efl_Gfx_Entity *_efl_ui_frame_efl_content_content_get(const Eo *obj, Efl_Ui_Frame_Data *pd);


Efl_Gfx_Entity *_efl_ui_frame_efl_content_content_unset(Eo *obj, Efl_Ui_Frame_Data *pd);


static Eina_Bool
_efl_ui_frame_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_FRAME_EXTRA_OPS
#define EFL_UI_FRAME_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_frame_collapse_set, _efl_ui_frame_collapse_set),
      EFL_OBJECT_OP_FUNC(efl_ui_frame_collapse_get, _efl_ui_frame_collapse_get),
      EFL_OBJECT_OP_FUNC(efl_ui_frame_autocollapse_set, _efl_ui_frame_autocollapse_set),
      EFL_OBJECT_OP_FUNC(efl_ui_frame_autocollapse_get, _efl_ui_frame_autocollapse_get),
      EFL_OBJECT_OP_FUNC(efl_ui_frame_collapse_go, _efl_ui_frame_collapse_go),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_frame_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_calculate, _efl_ui_frame_efl_canvas_group_group_calculate),
      EFL_OBJECT_OP_FUNC(efl_text_set, _efl_ui_frame_efl_text_text_set),
      EFL_OBJECT_OP_FUNC(efl_text_get, _efl_ui_frame_efl_text_text_get),
      EFL_OBJECT_OP_FUNC(efl_text_markup_set, _efl_ui_frame_efl_text_markup_markup_set),
      EFL_OBJECT_OP_FUNC(efl_text_markup_get, _efl_ui_frame_efl_text_markup_markup_get),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_set, _efl_ui_frame_efl_ui_l10n_l10n_text_set),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_get, _efl_ui_frame_efl_ui_l10n_l10n_text_get),
      EFL_OBJECT_OP_FUNC(efl_content_set, _efl_ui_frame_efl_content_content_set),
      EFL_OBJECT_OP_FUNC(efl_content_get, _efl_ui_frame_efl_content_content_get),
      EFL_OBJECT_OP_FUNC(efl_content_unset, _efl_ui_frame_efl_content_content_unset),
      EFL_UI_FRAME_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"collapse", __eolian_efl_ui_frame_collapse_set_reflect, __eolian_efl_ui_frame_collapse_get_reflect},
      {"autocollapse", __eolian_efl_ui_frame_autocollapse_set_reflect, __eolian_efl_ui_frame_autocollapse_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_frame_class_desc = {
   EO_VERSION,
   "Efl.Ui.Frame",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Frame_Data),
   _efl_ui_frame_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_frame_class_get, &_efl_ui_frame_class_desc, EFL_UI_LAYOUT_BASE_CLASS, EFL_INPUT_CLICKABLE_MIXIN, EFL_TEXT_INTERFACE, EFL_TEXT_MARKUP_INTERFACE, EFL_CONTENT_INTERFACE, NULL);
